# Building a fantasy space telescope

TODO: link rti1w

Space-based telescopes are particularly cool bits of kit.
They function in extreme conditions, for years or decades at a time, without any maintenance (barring [one incredible exception](https://www.nasa.gov/mission_pages/hubble/servicing/index.html)) or support beyond instructions from the ground.
The mechanical engineering and astrodynamic understanding that goes into [balancing Kepler against solar pressure](https://www.nasa.gov/kepler/keplers-second-light-how-k2-will-work), [cooling JWST to near-absolute zero](https://jwst.nasa.gov/content/about/innovations/cryocooler.html) or precisely [manoeuvring LISA's constituent spacecraft](https://sci.esa.int/web/lisa/-/lisa-technology-interferometry-explained) in a formation millions of kilometres across is humbling.

I don't have access to my own space-based telescope - though plenty of the raw data such instruments produce is [made available to the public](https://archive.stsci.edu/index.html).
I also live in a particularly light-polluted part of the world, I can't do much stargazing, either.
What I can do, however, is write software, which is a critical part of any robotic spacecraft, telescope or otherwise.
So, I thought it would be interesting to try my hand at making my own fantasy space telescope!

This is an open-ended endeavour, as there are lots of interesting things about telescopes to simulate, but it makes sense to start with something graphical, as telescopes are for making pretty pictures!

I've already some experience with simulating optics using ray tracing.
I'll initially base this project on my implementation of [Ray Tracing in One Weekend](https://raytracing.github.io/), an excellent, approachable introduction to generating ray-traced images.
Though I've written [real-time ray tracers](https://github/ktyldev/oglc.git) as well, I think this is a better place to start because it's an offline renderer - you can't see what you'll render before you render it.
That's a nice analogue to space-based telescopes, which have long exposure times and no viewfinders.

Another nice aspect 

## Networks



